package com.company.instancenameissue.entity;

import io.jmix.core.MetadataTools;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;

@JmixEntity
@Entity
public class Cat extends Pet {
    @Column(name = "CAT_NAME")
    private String catName;

    public String getCatName() {
        return catName;
    }

    public void setCatName(String catName) {
        this.catName = catName;
    }

    @InstanceName
    @DependsOnProperties({"catName"})
    public String getInstanceName(MetadataTools metadataTools) {
        return metadataTools.format(catName);
    }
}