package com.company.instancenameissue.entity;

import io.jmix.core.MetadataTools;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;

@JmixEntity
@Entity
public class Dog extends Pet {
    @Column(name = "DOG_NAME")
    private String dogName;

    public String getDogName() {
        return dogName;
    }

    public void setDogName(String dogName) {
        this.dogName = dogName;
    }

    @InstanceName
    @DependsOnProperties({"dogName"})
    public String getInstanceName(MetadataTools metadataTools) {
        return metadataTools.format(dogName);
    }
}