package com.company.instancenameissue.view.appointment;

import com.company.instancenameissue.entity.Appointment;

import com.company.instancenameissue.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "appointments", layout = MainView.class)
@ViewController("Appointment.list")
@ViewDescriptor("appointment-list-view.xml")
@LookupComponent("appointmentsDataGrid")
@DialogMode(width = "64em")
public class AppointmentListView extends StandardListView<Appointment> {
}